cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Announcements
Field Notice 70545
882
Views
15
Helpful
10
Replies
nikthatte
Beginner

UCS FW upgrade from 2.2(6e) to 3.1

I am new to managing UCS so being as cautious as possible with the prep work. Currently looking to upgrade our UCS infrastructure, B and C-series blades from 2.2(6e) to 3.1(x). I am a little confused about if I need to upgrade everything to 2.2(8) first and then upgrade to 3.1 or if I can go directly from 2.2(6) to 3.1(x). I have heard is both ways. one of the TAC engineers told me I have to upgrade to 2.2(8) first but the 3.1 release notes say I can go directly from 2.2(6) to the 3.1 infrastructure bundle and then upgrade my blades. 

https://www.cisco.com/c/en/us/td/docs/unified_computing/ucs/release/notes/CiscoUCSManager-RN-3-1.html#concept_F3FC4E0BB15F437C989574FDAC3603F6

 

Does anyone have an experience going from 2.2(6) to 3.1 or would you recommend going to 2.2(8) first? 

 

 

3 ACCEPTED SOLUTIONS

Accepted Solutions

Thanks for the reply.

 

"one of the TAC engineers told me I have to upgrade to 2.2(8) first but the 3.1 release notes say I can go directly from 2.2(6) to the 3.1"

 

This statement confused me, but after reviewing the case notes, I see that everything is correct. Please ensure after upgrading your firmware on the blades that you also confirm/upgrade the drivers to the supported and tested versions per UCS HCL

View solution in original post

This is the UCS Hardware Compatibility list. It lists the supported driver versions for the hardware components, based on the OS. You can use it to ensure you are on supported firmware for the OS you are running.

View solution in original post

You can go from any 2.2.X version to any 3.1.X version. You cant go to from 2.2.X to 3.2.X.

View solution in original post

10 REPLIES 10
Wes Austin
Cisco Employee

Going from 2.2.6 to 3.1 does not require a two step upgrade. You can go directly to 3.1

 

If you are upgrading 2.2.6 to 3.2 you need to go to 2.2.8 first.

 

If you can share your TAC case number where they told you to conduct a two step upgrade, I will work with the assigned engineer and ensure we are all on the same page and conveying correct information.

 

 

To be clear, he was recommending going to 3.1 which is what I planned on doing. The case number is 684793991

To be clear, he was recommending going to 3.1 which is what I planned on doing. The case number is 684793991

We are going to 3.1 because 3.2 does not have Nvidia M10 support

Thanks for the reply.

 

"one of the TAC engineers told me I have to upgrade to 2.2(8) first but the 3.1 release notes say I can go directly from 2.2(6) to the 3.1"

 

This statement confused me, but after reviewing the case notes, I see that everything is correct. Please ensure after upgrading your firmware on the blades that you also confirm/upgrade the drivers to the supported and tested versions per UCS HCL


@Wes Austin wrote:

Thanks for the reply.

 Please ensure after upgrading your firmware on the blades that you also confirm/upgrade the drivers to the supported and tested versions per UCS HCL


What is UCS HCL?

This is the UCS Hardware Compatibility list. It lists the supported driver versions for the hardware components, based on the OS. You can use it to ensure you are on supported firmware for the OS you are running.

Hey can I go from 2.2.6e to 3.1 3j? I am asking because the ticket mentions only going to 3.1(1x) but we would like to go to the 3j or 3f which has the spectre and meltdown fix.

You can go from any 2.2.X version to any 3.1.X version. You cant go to from 2.2.X to 3.2.X.

Actually, you can go from 2.2(8) to 3.2(x) link (as correctly stated in the initial answer)

Create
Recognize Your Peers
Content for Community-Ad